package com.tiangua.star.enmus;

import com.tiangua.kirin.api.StringCodeable;
import com.tiangua.kirin.utils.EnumUtils;

public enum CommercialCallBackReadyEnum implements StringCodeable {
    Commercial_Test("2336", "1778fd4985a9240809111258business", "http://rcw.notify.succtime.com/customerNotify/getCustomerInfo"),
    Commercial_ONE("4330", "445759631851840business", "http://rcw.notify.succtime.com/customerNotify/getCustomerInfo"),
    Commercial_SXRKX("4337", "9ae00be7593b250325033922business", " https://api.hzy-group.com.cn/sem_feedback/list.html"),//山西瑞凯鑫
//    Commercial_XJZZ("4344", "fe6ad6de6085250326042152business", " https://xjzzzr-bam.kaifa.fun/api/Clue/batchLevel/139"),//新疆智卓
    Commercial_FOSHAN("4178", "b940cdbc383c250225105128business", "http://myjs.crmxt.vip/api/customer.callback/index"),//佛山市创智盈通企业管理有限公司
    Commercial_CHONGQINGZC("4181", "e955dd0c3177250225021000business", "https://api.zhudaicms.com/api/stars_back.html?brand=1263&orgid=41812&d=1696580106;https://api.zhudaicms.com/api/stars_back.html?brand=1263&orgid=4181&d=1696580106"),//4181重庆众诚 两个星级
    Commercial_BJQN("3781", "1059819706ac240813041124business", "https://api.zhudaicms.com/api/stars_back.html?brand=1556&orgid=%E6%83%A0%E8%9E%8D%E9%92%B1%E5%8C%85&d=1721903031"),//北京签牛企业管理咨询有限公司
    Commercial_NBHX("4303", "a3c7888a1d91250313094409business", "https://api.zhudaicms.com/api/stars_back.html?brand=1280&orgid=4303&d=1700188876"),//宁波垣信信息科技有限公司
    Commercial_HZ("4212", "496f0859cfe3250228102712business", "https://api.zhudaicms.com/api/stars_back.html?brand=1663&orgid=4212&d=1736049235"),
    Commercial_QT("4444","6046fd9d4cef250421050450business","https://api.zhudaicms.com/api/stars_back.html?brand=1755&orgid=xsb1&d=1744775156"), //齐泰圣鑫
    Commercial_CD("4446","6933914d5053250422094836business","https://api.zhudaicms.com/api/stars_back.html?brand=1331&orgid=1223&d=1709198555"),//成都蓉鑫诚商
    Commercial_DAQN("4381", "445982746008128business", "http://47.113.122.223:8001/api/xiaoan/queryByUniqueId");//大连青柠

    private String code;
    private String busid;
    private String url;

    CommercialCallBackReadyEnum(String code, String busid, String url) {
        this.code = code;
        this.busid = busid;
        this.url = url;
    }

    public static CommercialCallBackReadyEnum of(String code) {
        return EnumUtils.stringValueOf(CommercialCallBackReadyEnum.class, code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getBusid() {
        return this.busid;
    }

    public String getUrl() {
        return this.url;
    }
}

